Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoContextHandler Class Reference
[General classes]

`#include <Inventor/misc/SoContextHandler.h>`

List of all members.

## Detailed Description

The SoContextHandler class is for now to be treated as an internal class.

## Public Types
typedef void | ContextDestructionCB (uint32_t contextid, void *userdata)
## Static Public Member Functions
void | destructingContext (uint32_t contextid)
void | addContextDestructionCallback (ContextDestructionCB *func, void *closure)
void | removeContextDestructionCallback (ContextDestructionCB *func, void *closure)

## Member Function Documentation

void SoContextHandler::destructingContext | ( | uint32_t | contextid | ) | `[static]`

| This method must be called by client code which destruct a context, to guarantee that there are no memory leaks upon context destruction (texture objects and display lists must be deleted).

The documentation for this class was generated from the following files:

- SoContextHandler.h
- SoContextHandler.cpp